Subject: Re: [RFC] git-am: handling unborn branches

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jun 2015 08:36:37 -0700

Paul Tan <[email-masked]> writes:

> Hmm, actually git-am.sh doesn't seem to do that even when we have a
> history to apply patches to. This is okay in the non-3way case, as
> git-apply will check to see if the patch applies before it modifies
> the index, but if we fall back on 3-way merge, any new files the
> failed merge added will not be deleted in the "git read-tree --reset
> -u HEAD HEAD".
>
> Should we do that?

That sounds like the right thing to do; I agree that fixing it may
or may not be outside the scope of the immediate series.